Summary		: GNU tar
Name		: tar
Version		: 1.13.25
Release		: 2.0.0.%{_hhl_build_id}
Source		: tar_%{version}.orig.tar.gz
Source1		: tar.tmpl
Patch0		: tar_%{version}-2.diff.gz
Patch1		: tar-1.13.19-gcc3.patch
Patch2		: tar-1.13.25-xtensa.patch
License		: GPL
Group		: utils
%define pkgname tar
Buildroot	: %{_tmppath}/%{pkgname}-root
%define targetroot %{_hhl_cross_target_dir}
Prefix		: %{targetroot}

%define _bindir		%{targetroot}%{_hhl_target_bin_dir}
%define _datadir	%{targetroot}%{_hhl_target_sharedstate_dir}
%define _infodir	%{targetroot}%{_hhl_target_info_dir}
%define _mandir		%{targetroot}%{_hhl_target_man_dir}
%define _docdir		%{targetroot}%{_hhl_target_doc_dir}
%define _rbindir	%{targetroot}/bin

Obsoletes 	: hhl-target-tar
Obsoletes 	: hhl-%{_hhl_target_arch}-tar

%description
Tar is a program for packaging a set of files as a single archive in tar
format.  The function it performs is conceptually similar to cpio, and to
things like pkzip in the DOS world.

# tar

%prep
%target_check
%setup -q -n tar-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1



%build
%target_setup
%target_configure

%make


%install
rm -rf %{buildroot}
%target_setup
%target_makeinstall | tee -a ../build.log
install -d %{buildroot}%{_mandir}/man1
install -m 644 ../debian/tar.1 %{buildroot}%{_mandir}/man1/tar.1
gzip -9f %{buildroot}%{_mandir}/man*/*
gzip -9f %{buildroot}%{_infodir}/*.info*
mkdir -p %{buildroot}%{_rbindir}
mv %{buildroot}%{_bindir}/tar %{buildroot}%{_rbindir}/
cd ..
cp COPYING LICENSE

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/tar

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root)
%{_rbindir}/tar
%{_datadir}/locale/*/*/*
%doc %{_infodir}/tar.info.gz
%doc %{_mandir}/man1/tar.1.gz
%doc LICENSE
%doc AUTHORS README NEWS
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/tar


%changelog
* Mon Oct 20 2003 Michael Eager <eager@mvista.com>
- Add configuration for Xtensa.
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Tue Feb 13 2001 Matthew McLean <source@mvista.com>
- First cut


